IF COL_LENGTH('Prod_Listas_Precios_Pasarelas', 'Id_Lista_Precio') IS NULL 
	ALTER TABLE Prod_Listas_Precios_Pasarelas ADD Id_Lista_Precio SMALLINT
GO



IF IndexProperty(Object_Id('Prod_Listas_Precios_Pasarelas'), 'IX_PLPP_PorListas', 'IndexID') IS  NULL
	CREATE INDEX IX_PLPP_PorListas ON Prod_Listas_Precios_Pasarelas (Id_Lista_Precio)
GO

IF OBJECT_ID('FK_PLPP_Prod_Listas', 'F') IS NULL
	ALTER TABLE Prod_Listas_Precios_Pasarelas  ADD  CONSTRAINT FK_PLPP_Prod_Listas FOREIGN KEY(Id_Lista_Precio)
	REFERENCES Prod_Listas_Precios (Id_Lista_Precio)
GO

